Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454015 - Review Request: tcl-tile - Modified Tk styling engine
Summary: Review Request: tcl-tile - Modified Tk styling engine
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454017 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:14 UTC by Tom "spot" Callaway
Modified: 2008-09-16 23:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-14 03:15:35 UTC
mmaslano: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:14:21 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tile.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tile-0.8.2-1.fc10.src.rpm
Description: 
The Tile Widget Set is an experimental reimplementation of
some of the core Tk widgets.  The primary purpose is
to generate ideas for how to build the next generation of Tk,
when the asteroid strikes and we prepare for the 9.0 release.

Comment 1 Marcela Mašláňová 2008-08-18 12:46:25 UTC
- rpmlint checks return: 
tcl-tile-devel.i386: W: no-documentation
but that's ok. Devel don't have to own some documentation.

- package meets naming guidelines OK
- package meets packaging guidelines OK
- license:
Please check the license: http://fedoraproject.org/wiki/Licensing/TCL
The source code is from tcl developers and it looks more tclish to me than MIT.

- spec file legible, in am. english - probably OK
- source matches upstream OK
- package compiles on devel (x86) - check this latter
- no missing BR
- no unnecessary BR
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- %clean OK
- macro use consistent OK
- docs OK
- nothing in %doc affects runtime OK
- devel package OK
- no .la files OK
- post/postun ldconfig no, OK
- devel requires base package n-v-r OK

Comment 2 Tom "spot" Callaway 2008-08-25 17:35:44 UTC
You're right, license should be TCL.

New SRPM: http://www.auroralinux.org/people/spot/review/new/tcl-tile-0.8.2-2.fc10.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/tcl-tile.spec

Comment 3 Marcela Mašláňová 2008-08-29 10:00:12 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=792855
koji build pass. The license has been fixed.

Comment 4 Tom "spot" Callaway 2008-09-14 03:02:56 UTC
New Package CVS Request
=======================
Package Name: tcl-tile
Short Description: Modified Tk styling engine
Owners: spot
Branches: F-8 F-9 devel
InitialCC:

... and it's done.

Comment 5 Fedora Update System 2008-09-14 03:14:58 UTC
tcl-tile-0.8.2-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tcl-tile-0.8.2-2.fc8

Comment 6 Fedora Update System 2008-09-14 03:15:01 UTC
tcl-tile-0.8.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcl-tile-0.8.2-2.fc9

Comment 7 Tom "spot" Callaway 2008-09-14 03:15:35 UTC
Built in rawhide too.

Comment 8 Fedora Update System 2008-09-16 23:24:04 UTC
tcl-tile-0.8.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-09-16 23:29:18 UTC
tcl-tile-0.8.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.